GET /best_podcasts

listennotes.com

Summary: Fetch a list of best podcasts by genre
Operation ID: getBestPodcasts
Auth: unknown
Description

Get a list of curated best podcasts by genre, which are curated by Listen Notes staffs based on various signals from the Internet, e.g., top charts on other podcast platforms, recommendations from mainstream media, user activities on listennotes.com... You can get the genre ids from `GET /genres` endpoint. This endpoint returns same data as https://www.listennotes.com/best-podcasts/

Parameters (8)

X-ListenAPI-Key (string, header, required)

Get API Key on listennotes.com/api

genre_id (string, query, optional)

You can get the id from `GET /genres`. If not specified, it'll be the overall best podcasts, which can be considered as a special genre.

language (string, query, optional)

Filter best podcasts by language. You can get a list of supported languages (e.g., English, Chinese, Japanese...) from `GET /languages`. If not specified, you'll get "best podcasts" in any language.

page (integer, query, optional)

Page number of those podcasts in this genre.

publisher_region (string, query, optional)

Filter best podcasts by the publisher's country/region. This is to narrow down the results to include "best podcasts" produced in a specific country/region. You can get the supported country codes (e.g., us, jp, gb...) from `GET /regions`. If not specified, you'll get "best podcasts" produced in any country/region. If you want to get a country/region's "best podcasts" that are also produced in that country/region, then you need to specify both **region** and **publisher_region**, e.g., `region=jp` and `publisher_region=jp`.

region (string, query, optional, default: us)

Filter best podcasts by country/region. Please note that podcasts that are "best" in a country/region may not be produced in that country/region. For example, a podcast from the US may be very popular in Canada. You can get the supported country codes (e.g., us, jp, gb...) from `GET /regions`. If not specified, you'll get "best podcasts" in United States.

safe_mode (integer, query, optional, default: 0)

Whether or not to exclude podcasts with explicit language. 1 is yes, and 0 is no.

Constraints: {'enum': [0, 1]}

sort (string, query, optional, default: recent_added_first)

How do you want to sort these podcasts? If you'd like to sort by popularity, please use **listen_score**.

Constraints: {'enum': ['recent_added_first', 'oldest_added_first', 'recent_published_first', 'oldest_published_first', 'listen_score']}

No probe data for this endpoint yet.